Discussion:
[Katello] katello-installer fails with an undefined method
(too old to reply)
Mark White
2015-02-03 15:10:04 UTC
Permalink
Hi


I am completely new to katello, and am trying to install it on OEL 6.6 but
keeping hitting problems... can some one please suggest how I can find what
is going wring, this being the second install.

With my latest install in /var/log/katello-installer.log I see:

[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on node
ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned nil
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was 1)
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml


I also see that the foreman service does not start, and if I try to start
it manually I get:

]#Starting foreman:
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
`config_file_path': no config file found, candidates:
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
`load_config_file'

Is the second error because puppet did not configure the services correctly
?

I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422

I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623 which I
thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it does
not appear to have helped

any help appreciated.
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Justin Sherrill
2015-02-04 00:30:34 UTC
Permalink
Post by Mark White
Hi
I am completely new to katello, and am trying to install it on OEL 6.6
but keeping hitting problems... can some one please suggest how I can
find what is going wring, this being the second install.
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on
node ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned nil
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was 1)
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml
I also see that the foreman service does not start, and if I try to
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
`load_config_file'
Is the second error because puppet did not configure the services
correctly ?
I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422
I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623 which
I thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it
does not appear to have helped
any help appreciated.
--
You received this message because you are subscribed to the Google
Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Hey Mark,

It'd help to see your full logs. Would you be able to upload a
foreman-debug to the rsync server via the instructions given at the end
of the foreman-debug command?

-Justin
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Mark White
2015-02-04 11:51:10 UTC
Permalink
Justin

I am checking whether sending the logs is permitted by the site. In the
meantime I am going to try another build using a server that has not
previously had puppet installed in case this is the cause of the puppet
problems. If I still have problems with the install at least it will be
less complicated.

Can you tell me if its possible to use a different puppet version with the
installer, as I think 2.7 is rather old and we are tending to use 3.x now
and I would eventually want to see us use the same puppet version on the
Katello server ? Note that as Duncan pointed out I have used the latest 2.2
build so would have expected this to support a later puppet version anyway ?

Mark
Post by Mark White
Hi
I am completely new to katello, and am trying to install it on OEL 6.6 but
keeping hitting problems... can some one please suggest how I can find what
is going wring, this being the second install.
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on node
ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned nil
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was 1)
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml
I also see that the foreman service does not start, and if I try to start
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
`load_config_file'
Is the second error because puppet did not configure the services
correctly ?
I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422
I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623 which I
thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it does
not appear to have helped
any help appreciated.
--
You received this message because you are subscribed to the Google Groups
"Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an
<javascript:>.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Hey Mark,
It'd help to see your full logs. Would you be able to upload a
foreman-debug to the rsync server via the instructions given at the end of
the foreman-debug command?
-Justin
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Duncan Innes
2015-02-04 11:55:41 UTC
Permalink
I'm using puppet-3.7.3 with Katello 2.1, but only because there's an
outstanding bug with 3.7.4 where a downgrade is the best workaround for now.
Post by Justin Sherrill
Justin
I am checking whether sending the logs is permitted by the site. In the
meantime I am going to try another build using a server that has not
previously had puppet installed in case this is the cause of the puppet
problems. If I still have problems with the install at least it will be
less complicated.
Can you tell me if its possible to use a different puppet version with the
installer, as I think 2.7 is rather old and we are tending to use 3.x now
and I would eventually want to see us use the same puppet version on the
Katello server ? Note that as Duncan pointed out I have used the latest 2.2
build so would have expected this to support a later puppet version anyway ?
Mark
Post by Mark White
Hi
I am completely new to katello, and am trying to install it on OEL 6.6
but keeping hitting problems... can some one please suggest how I can find
what is going wring, this being the second install.
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on
node ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned nil
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was 1)
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml
I also see that the foreman service does not start, and if I try to start
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
`load_config_file'
Is the second error because puppet did not configure the services
correctly ?
I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422
I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623 which I
thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it does
not appear to have helped
any help appreciated.
--
You received this message because you are subscribed to the Google Groups
"Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Hey Mark,
It'd help to see your full logs. Would you be able to upload a
foreman-debug to the rsync server via the instructions given at the end of
the foreman-debug command?
-Justin
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Stephen Benjamin
2015-02-04 12:39:34 UTC
Permalink
Post by Justin Sherrill
Justin
I am checking whether sending the logs is permitted by the site. In the
meantime I am going to try another build using a server that has not
previously had puppet installed in case this is the cause of the puppet
problems. If I still have problems with the install at least it will be
less complicated.
Can you tell me if its possible to use a different puppet version with the
installer, as I think 2.7 is rather old and we are tending to use 3.x now
and I would eventually want to see us use the same puppet version on the
Katello server ? Note that as Duncan pointed out I have used the latest 2.2
build so would have expected this to support a later puppet version anyway ?
The install instructions reccomend using the puppetlabs repos:
http://www.katello.org/docs/2.1/installation/index.html

That would get you a recent version of Puppet. I'm not surrpised you're
having trouble with 2.7.

You'll want to install puppet-3.7.3, not 3.7.4 (the latest) as it's
currently broken in the nightlies.
Post by Justin Sherrill
Mark
Post by Mark White
Hi
I am completely new to katello, and am trying to install it on OEL 6.6 but
keeping hitting problems... can some one please suggest how I can find what
is going wring, this being the second install.
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on node
ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned nil
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was 1)
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml
I also see that the foreman service does not start, and if I try to start
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
`load_config_file'
Is the second error because puppet did not configure the services
correctly ?
I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422
I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623 which I
thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it does
not appear to have helped
any help appreciated.
--
You received this message because you are subscribed to the Google Groups
"Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an
<javascript:>.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Hey Mark,
It'd help to see your full logs. Would you be able to upload a
foreman-debug to the rsync server via the instructions given at the end of
the foreman-debug command?
-Justin
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
--
Best Regards,

Stephen Benjamin
Red Hat Engineering
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Duncan Innes
2015-02-04 08:07:06 UTC
Permalink
I'm not one of the experts around here, but perhaps Katello 2.2 is the
wrong place to kick off your experience? 2.0 is stable, 2.1 is RC at the
moment (although installable with a bit of a push), 2.2 is the nightly
branch. Although devs please correct me if I'm wrong.

I installed 2.2 by mistake a few times as the docs aren't completely clear.

When Installing 2.1, there are some tweaks to be done before you can get it
working. I'm running that at the moment to try and help with things.

Don't know about 2.0 - not sure I even tried that one out as I think I
installed Satellite 6.0 beta instead.

Cheers

D
Post by Mark White
Hi
I am completely new to katello, and am trying to install it on OEL 6.6 but
keeping hitting problems... can some one please suggest how I can find what
is going wring, this being the second install.
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on node
ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned nil
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was 1)
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml
I also see that the foreman service does not start, and if I try to start
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
`load_config_file'
Is the second error because puppet did not configure the services
correctly ?
I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422
I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623 which I
thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it does
not appear to have helped
any help appreciated.
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Lukas Zapletal
2015-02-04 12:20:36 UTC
Permalink
Hello,

you need to grep for ERROR lines.
--
Later,
Lukas #lzap Zapletal
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Mark White
2015-02-04 18:41:50 UTC
Permalink
Tried another install using the 2.1 build with puppet 3.7.3, but the
noticed after a run of yum install katello puppet was updated to 3.7.4.
Looking at the yum log I see:

Feb 04 18:01:17 Installed: pulp-puppet-plugins-2.5.1-1.el6.noarch
Feb 04 18:01:20 Installed:
ruby193-rubygem-katello-2.2.0-1.201501281236gitaa5aee8.el6.noarch
Feb 04 18:01:20 Installed: katello-2.1.0-1.201411061509gitb0b8f43.el6.noarch
Feb 04 18:01:22 Updated: glibc-2.12-1.149.el6_6.5.i686
Feb 04 18:13:00 Installed: gdb-7.2-75.el6.x86_64
Feb 04 18:13:00 Installed: elfutils-libs-0.158-3.2.el6.x86_64
Feb 04 18:13:00 Installed: elfutils-0.158-3.2.el6.x86_64
Feb 04 18:13:00 Installed: rpm-build-4.8.0-38.el6_6.x86_64
Feb 04 18:13:00 Installed: katello-certs-tools-2.0.1-1.el6.noarch
Feb 04 18:14:13 Updated: puppet-3.7.4-1.el6.noarch
Feb 04 18:14:14 Installed: puppet-server-3.7.4-1.el6.noarch
Feb 04 18:16:00 Installed: gutterball-1.0.8-1.el6.noarch

so katello 2.1 gets installed, then puppet gets updated followed by an
install of puppet server - any ideas ?

Second Q

On the web install page it says:

Note: After installation of Katello, be sure to trust Katello’s CA
certificate on your system. This is required for the encrypted NoVNC
connections. You will find katello-default-ca.crt in the /pub directory of
your Katello server (e.g.
http://katello.example.com/pub/katello-default-ca.crt).

Does this mean after the yum install katello, but before running
katello-installer, as when I ran the installer I had lots of cert probs at
the end :

Debug: /Stage[main]/Apache/Concat[/etc/httpd/conf/: 517/583, 88%, 1.9/s,
elapsed: 00:05:34, ETA: 00:00:34
Notice: /Stage[main]/Foreman::Database/Foreman_con: 521/583, 89%, 2.1/s,
elapsed: 00:05:50, ETA: 00:00:29
Notice: /Stage[main]/Puppet::Server::Config/Exec[p: 521/583, 89%, 1.5/s,
elapsed: 00:05:58, ETA: 00:00:42
Notice: /Stage[main]/Foreman_proxy::Config/Foreman: 521/583, 89%, 1.5/s,
elapsed: 00:05:59, ETA: 00:00:42
/Stage[main]/Certs::Qpid/Exec[generate-nss-password]: Failed to call
refresh: openssl rand -base64 24 >
/etc/pki/katello/nssdb/nss_db_password-file returned 1 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-nss-password]: openssl rand -base64
24 > /etc/pki/katello/nssdb/nss_db_password-file returned 1 instead of one
of [0]
Notice: /Stage[main]/Certs::Qpid/Exec[create-nss-d: 521/583, 89%, 1.5/s,
elapsed: 00:06:00, ETA: 00:00:42
/Stage[main]/Certs::Qpid/Exec[create-nss-db]: Failed to call refresh:
certutil -N -d '/etc/pki/katello/nssdb' -f
'/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of one
of [0]
/Stage[main]/Certs::Qpid/Exec[create-nss-db]: certutil -N -d
'/etc/pki/katello/nssdb' -f '/etc/pki/katello/nssdb/nss_db_password-file'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[add-ca-cert-to-nss-db]: Failed to call
refresh: certutil -A -d '/etc/pki/katello/nssdb' -n 'ca' -t 'TCu,Cu,Tuw' -a
-i '/etc/pki/katello/certs/katello-default-ca.crt' returned 255 instead of
one of [0]
/Stage[main]/Certs::Qpid/Exec[add-ca-cert-to-nss-db]: certutil -A -d
'/etc/pki/katello/nssdb' -n 'ca' -t 'TCu,Cu,Tuw' -a -i
'/etc/pki/katello/certs/katello-default-ca.crt' returned 255 instead of one
of [0]
/Stage[main]/Certs::Qpid/Exec[add-broker-cert-to-nss-db]: Failed to call
refresh: certutil -A -d '/etc/pki/katello/nssdb' -n 'broker' -t ',,' -a -i
'/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[add-broker-cert-to-nss-db]: certutil -A -d
'/etc/pki/katello/nssdb' -n 'broker' -t ',,' -a -i
'/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-pfx-for-nss-db]: Failed to call
refresh: openssl pkcs12 -in
/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt
-inkey
/etc/pki/katello/private/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.key
-export -out
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx'
-password 'file:/etc/pki/katello/nssdb/nss_db_password-file' returned 1
instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-pfx-for-nss-db]: openssl pkcs12 -in
/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt
-inkey
/etc/pki/katello/private/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.key
-export -out
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx'
-password 'file:/etc/pki/katello/nssdb/nss_db_password-file' returned 1
instead of one of [0]
Warning: /Stage[main]/Certs::Gutterball/Certs::Ssl: 521/583, 89%, 1.5/s,
elapsed: 00:06:02, ETA: 00:00:42
/Stage[main]/Certs::Qpid/Exec[add-private-key-to-nss-db]: Failed to call
refresh: pk12util -i
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx' -d
'/etc/pki/katello/nssdb' -w '/etc/pki/katello/nssdb/nss_db_password-file'
-k '/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of
one of [0]
/Stage[main]/Certs::Qpid/Exec[add-private-key-to-nss-db]: pk12util -i
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx' -d
'/etc/pki/katello/nssdb' -w '/etc/pki/katello/nssdb/nss_db_password-file'
-k '/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of
one of [0]
Notice: /Stage[main]/Pulp::Config/File[/etc/pki/pu: 521/583, 89%, 1.4/s,
elapsed: 00:06:03, ETA: 00:00:45
Warning: /Stage[main]/Foreman::Plugin::Tasks/Servi: 521/583, 89%, 1.4/s,
elapsed: 00:06:04, ETA: 00:00:45
/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[ukdc1-tm-ops06.worldpaytd.local]:
Failed to call refresh: Could not load data from
https://ukdc1-tm-ops06.worldpaytd.local
/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[ukdc1-tm-ops06.worldpaytd.local]:
Could not load data from https://ukdc1-tm-ops06.worldpaytd.local
Done : 583/583, 100%, 2.5/s,
elapsed: 00:06:12
Done : 583/583, 100%, 2.5/s,
elapsed: 00:06:12
Something went wrong! Check the log for ERROR-level output
The full log is at /var/log/katello-installer/katello-installer.log

Mark
Post by Mark White
Hi
I am completely new to katello, and am trying to install it on OEL 6.6 but
keeping hitting problems... can some one please suggest how I can find what
is going wring, this being the second install.
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on node
ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned nil
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was 1)
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml
I also see that the foreman service does not start, and if I try to start
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
`load_config_file'
Is the second error because puppet did not configure the services
correctly ?
I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422
I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623 which I
thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it does
not appear to have helped
any help appreciated.
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Stephen Benjamin
2015-02-04 18:59:04 UTC
Permalink
Post by Mark White
Tried another install using the 2.1 build with puppet 3.7.3, but the
noticed after a run of yum install katello puppet was updated to 3.7.4.
Feb 04 18:01:17 Installed: pulp-puppet-plugins-2.5.1-1.el6.noarch
ruby193-rubygem-katello-2.2.0-1.201501281236gitaa5aee8.el6.noarch
Feb 04 18:01:20 Installed: katello-2.1.0-1.201411061509gitb0b8f43.el6.noarch
Feb 04 18:01:22 Updated: glibc-2.12-1.149.el6_6.5.i686
Feb 04 18:13:00 Installed: gdb-7.2-75.el6.x86_64
Feb 04 18:13:00 Installed: elfutils-libs-0.158-3.2.el6.x86_64
Feb 04 18:13:00 Installed: elfutils-0.158-3.2.el6.x86_64
Feb 04 18:13:00 Installed: rpm-build-4.8.0-38.el6_6.x86_64
Feb 04 18:13:00 Installed: katello-certs-tools-2.0.1-1.el6.noarch
Feb 04 18:14:13 Updated: puppet-3.7.4-1.el6.noarch
Feb 04 18:14:14 Installed: puppet-server-3.7.4-1.el6.noarch
Feb 04 18:16:00 Installed: gutterball-1.0.8-1.el6.noarch
so katello 2.1 gets installed, then puppet gets updated followed by an
install of puppet server - any ideas ?
Yes, before running katello-installer, do yum downgrade puppet. If
you're using katello-deploy, probably something like this:

# ./setup.rb <whatever options> --skip-installer
# yum downgrade puppet
# katello-installer
Post by Mark White
Second Q
Note: After installation of Katello, be sure to trust Katello’s CA
certificate on your system. This is required for the encrypted NoVNC
connections. You will find katello-default-ca.crt in the /pub directory of
your Katello server (e.g.
http://katello.example.com/pub/katello-default-ca.crt).
That's only for NoVNC consoles from Foreman, and for after katello gets
installed
Post by Mark White
Does this mean after the yum install katello, but before running
katello-installer, as when I ran the installer I had lots of cert probs at
Maybe someone else has an idea here - not sure what those problems are.
What happens if you run the command "openssl rand -base64 24" by hand?
That seems to be the first failure.
Post by Mark White
Debug: /Stage[main]/Apache/Concat[/etc/httpd/conf/: 517/583, 88%, 1.9/s,
elapsed: 00:05:34, ETA: 00:00:34
Notice: /Stage[main]/Foreman::Database/Foreman_con: 521/583, 89%, 2.1/s,
elapsed: 00:05:50, ETA: 00:00:29
Notice: /Stage[main]/Puppet::Server::Config/Exec[p: 521/583, 89%, 1.5/s,
elapsed: 00:05:58, ETA: 00:00:42
Notice: /Stage[main]/Foreman_proxy::Config/Foreman: 521/583, 89%, 1.5/s,
elapsed: 00:05:59, ETA: 00:00:42
/Stage[main]/Certs::Qpid/Exec[generate-nss-password]: Failed to call
refresh: openssl rand -base64 24 >
/etc/pki/katello/nssdb/nss_db_password-file returned 1 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-nss-password]: openssl rand -base64
24 > /etc/pki/katello/nssdb/nss_db_password-file returned 1 instead of one
of [0]
Notice: /Stage[main]/Certs::Qpid/Exec[create-nss-d: 521/583, 89%, 1.5/s,
elapsed: 00:06:00, ETA: 00:00:42
certutil -N -d '/etc/pki/katello/nssdb' -f
'/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of one
of [0]
/Stage[main]/Certs::Qpid/Exec[create-nss-db]: certutil -N -d
'/etc/pki/katello/nssdb' -f '/etc/pki/katello/nssdb/nss_db_password-file'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[add-ca-cert-to-nss-db]: Failed to call
refresh: certutil -A -d '/etc/pki/katello/nssdb' -n 'ca' -t 'TCu,Cu,Tuw' -a
-i '/etc/pki/katello/certs/katello-default-ca.crt' returned 255 instead of
one of [0]
/Stage[main]/Certs::Qpid/Exec[add-ca-cert-to-nss-db]: certutil -A -d
'/etc/pki/katello/nssdb' -n 'ca' -t 'TCu,Cu,Tuw' -a -i
'/etc/pki/katello/certs/katello-default-ca.crt' returned 255 instead of one
of [0]
/Stage[main]/Certs::Qpid/Exec[add-broker-cert-to-nss-db]: Failed to call
refresh: certutil -A -d '/etc/pki/katello/nssdb' -n 'broker' -t ',,' -a -i
'/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[add-broker-cert-to-nss-db]: certutil -A -d
'/etc/pki/katello/nssdb' -n 'broker' -t ',,' -a -i
'/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-pfx-for-nss-db]: Failed to call
refresh: openssl pkcs12 -in
/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt
-inkey
/etc/pki/katello/private/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.key
-export -out
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx'
-password 'file:/etc/pki/katello/nssdb/nss_db_password-file' returned 1
instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-pfx-for-nss-db]: openssl pkcs12 -in
/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt
-inkey
/etc/pki/katello/private/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.key
-export -out
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx'
-password 'file:/etc/pki/katello/nssdb/nss_db_password-file' returned 1
instead of one of [0]
Warning: /Stage[main]/Certs::Gutterball/Certs::Ssl: 521/583, 89%, 1.5/s,
elapsed: 00:06:02, ETA: 00:00:42
/Stage[main]/Certs::Qpid/Exec[add-private-key-to-nss-db]: Failed to call
refresh: pk12util -i
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx' -d
'/etc/pki/katello/nssdb' -w '/etc/pki/katello/nssdb/nss_db_password-file'
-k '/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of
one of [0]
/Stage[main]/Certs::Qpid/Exec[add-private-key-to-nss-db]: pk12util -i
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx' -d
'/etc/pki/katello/nssdb' -w '/etc/pki/katello/nssdb/nss_db_password-file'
-k '/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of
one of [0]
Notice: /Stage[main]/Pulp::Config/File[/etc/pki/pu: 521/583, 89%, 1.4/s,
elapsed: 00:06:03, ETA: 00:00:45
Warning: /Stage[main]/Foreman::Plugin::Tasks/Servi: 521/583, 89%, 1.4/s,
elapsed: 00:06:04, ETA: 00:00:45
Failed to call refresh: Could not load data from
https://ukdc1-tm-ops06.worldpaytd.local
Could not load data from https://ukdc1-tm-ops06.worldpaytd.local
Done : 583/583, 100%, 2.5/s,
elapsed: 00:06:12
Done : 583/583, 100%, 2.5/s,
elapsed: 00:06:12
Something went wrong! Check the log for ERROR-level output
The full log is at /var/log/katello-installer/katello-installer.log
Mark
Post by Mark White
Hi
I am completely new to katello, and am trying to install it on OEL 6.6 but
keeping hitting problems... can some one please suggest how I can find what
is going wring, this being the second install.
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on node
ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned nil
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was 1)
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml
I also see that the foreman service does not start, and if I try to start
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
`load_config_file'
Is the second error because puppet did not configure the services
correctly ?
I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422
I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623 which I
thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it does
not appear to have helped
any help appreciated.
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
--
Best Regards,

Stephen Benjamin
Red Hat Engineering
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Mark White
2015-02-04 19:14:43 UTC
Permalink
Looks fine

[***@ukdc1-tm-ops06 ~]# openssl rand -base64 24
PDW5acZe9C4bfsO19O7gAIqhtKcChBw3
Post by Mark White
Post by Mark White
Tried another install using the 2.1 build with puppet 3.7.3, but the
noticed after a run of yum install katello puppet was updated to 3.7.4.
Feb 04 18:01:17 Installed: pulp-puppet-plugins-2.5.1-1.el6.noarch
ruby193-rubygem-katello-2.2.0-1.201501281236gitaa5aee8.el6.noarch
katello-2.1.0-1.201411061509gitb0b8f43.el6.noarch
Post by Mark White
Feb 04 18:01:22 Updated: glibc-2.12-1.149.el6_6.5.i686
Feb 04 18:13:00 Installed: gdb-7.2-75.el6.x86_64
Feb 04 18:13:00 Installed: elfutils-libs-0.158-3.2.el6.x86_64
Feb 04 18:13:00 Installed: elfutils-0.158-3.2.el6.x86_64
Feb 04 18:13:00 Installed: rpm-build-4.8.0-38.el6_6.x86_64
Feb 04 18:13:00 Installed: katello-certs-tools-2.0.1-1.el6.noarch
Feb 04 18:14:13 Updated: puppet-3.7.4-1.el6.noarch
Feb 04 18:14:14 Installed: puppet-server-3.7.4-1.el6.noarch
Feb 04 18:16:00 Installed: gutterball-1.0.8-1.el6.noarch
so katello 2.1 gets installed, then puppet gets updated followed by an
install of puppet server - any ideas ?
Yes, before running katello-installer, do yum downgrade puppet. If
# ./setup.rb <whatever options> --skip-installer
# yum downgrade puppet
# katello-installer
Post by Mark White
Second Q
Note: After installation of Katello, be sure to trust Katello’s CA
certificate on your system. This is required for the encrypted NoVNC
connections. You will find katello-default-ca.crt in the /pub directory
of
Post by Mark White
your Katello server (e.g.
http://katello.example.com/pub/katello-default-ca.crt).
That's only for NoVNC consoles from Foreman, and for after katello gets
installed
Post by Mark White
Does this mean after the yum install katello, but before running
katello-installer, as when I ran the installer I had lots of cert probs
at
Maybe someone else has an idea here - not sure what those problems are.
What happens if you run the command "openssl rand -base64 24" by hand?
That seems to be the first failure.
Post by Mark White
Debug: /Stage[main]/Apache/Concat[/etc/httpd/conf/: 517/583, 88%, 1.9/s,
elapsed: 00:05:34, ETA: 00:00:34
Notice: /Stage[main]/Foreman::Database/Foreman_con: 521/583, 89%, 2.1/s,
elapsed: 00:05:50, ETA: 00:00:29
Notice: /Stage[main]/Puppet::Server::Config/Exec[p: 521/583, 89%, 1.5/s,
elapsed: 00:05:58, ETA: 00:00:42
Notice: /Stage[main]/Foreman_proxy::Config/Foreman: 521/583, 89%, 1.5/s,
elapsed: 00:05:59, ETA: 00:00:42
/Stage[main]/Certs::Qpid/Exec[generate-nss-password]: Failed to call
refresh: openssl rand -base64 24 >
/etc/pki/katello/nssdb/nss_db_password-file returned 1 instead of one of
[0]
Post by Mark White
/Stage[main]/Certs::Qpid/Exec[generate-nss-password]: openssl rand
-base64
Post by Mark White
24 > /etc/pki/katello/nssdb/nss_db_password-file returned 1 instead of
one
Post by Mark White
of [0]
Notice: /Stage[main]/Certs::Qpid/Exec[create-nss-d: 521/583, 89%, 1.5/s,
elapsed: 00:06:00, ETA: 00:00:42
certutil -N -d '/etc/pki/katello/nssdb' -f
'/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of
one
Post by Mark White
of [0]
/Stage[main]/Certs::Qpid/Exec[create-nss-db]: certutil -N -d
'/etc/pki/katello/nssdb' -f
'/etc/pki/katello/nssdb/nss_db_password-file'
Post by Mark White
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[add-ca-cert-to-nss-db]: Failed to call
refresh: certutil -A -d '/etc/pki/katello/nssdb' -n 'ca' -t 'TCu,Cu,Tuw'
-a
Post by Mark White
-i '/etc/pki/katello/certs/katello-default-ca.crt' returned 255 instead
of
Post by Mark White
one of [0]
/Stage[main]/Certs::Qpid/Exec[add-ca-cert-to-nss-db]: certutil -A -d
'/etc/pki/katello/nssdb' -n 'ca' -t 'TCu,Cu,Tuw' -a -i
'/etc/pki/katello/certs/katello-default-ca.crt' returned 255 instead of
one
Post by Mark White
of [0]
/Stage[main]/Certs::Qpid/Exec[add-broker-cert-to-nss-db]: Failed to
call
Post by Mark White
refresh: certutil -A -d '/etc/pki/katello/nssdb' -n 'broker' -t ',,' -a
-i
Post by Mark White
'/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[add-broker-cert-to-nss-db]: certutil -A
-d
Post by Mark White
'/etc/pki/katello/nssdb' -n 'broker' -t ',,' -a -i
'/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-pfx-for-nss-db]: Failed to call
refresh: openssl pkcs12 -in
/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt
-inkey
/etc/pki/katello/private/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.key
-export -out
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx'
-password 'file:/etc/pki/katello/nssdb/nss_db_password-file' returned 1
instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-pfx-for-nss-db]: openssl pkcs12
-in
Post by Mark White
/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt
-inkey
/etc/pki/katello/private/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.key
-export -out
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx'
-password 'file:/etc/pki/katello/nssdb/nss_db_password-file' returned 1
instead of one of [0]
Warning: /Stage[main]/Certs::Gutterball/Certs::Ssl: 521/583, 89%, 1.5/s,
elapsed: 00:06:02, ETA: 00:00:42
/Stage[main]/Certs::Qpid/Exec[add-private-key-to-nss-db]: Failed to
call
Post by Mark White
refresh: pk12util -i
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx' -d
'/etc/pki/katello/nssdb' -w
'/etc/pki/katello/nssdb/nss_db_password-file'
Post by Mark White
-k '/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of
one of [0]
/Stage[main]/Certs::Qpid/Exec[add-private-key-to-nss-db]: pk12util -i
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx' -d
'/etc/pki/katello/nssdb' -w
'/etc/pki/katello/nssdb/nss_db_password-file'
Post by Mark White
-k '/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of
one of [0]
Notice: /Stage[main]/Pulp::Config/File[/etc/pki/pu: 521/583, 89%, 1.4/s,
elapsed: 00:06:03, ETA: 00:00:45
Warning: /Stage[main]/Foreman::Plugin::Tasks/Servi: 521/583, 89%, 1.4/s,
elapsed: 00:06:04, ETA: 00:00:45
Failed to call refresh: Could not load data from
https://ukdc1-tm-ops06.worldpaytd.local
Could not load data from https://ukdc1-tm-ops06.worldpaytd.local
Done : 583/583, 100%,
2.5/s,
Post by Mark White
elapsed: 00:06:12
Done : 583/583, 100%,
2.5/s,
Post by Mark White
elapsed: 00:06:12
Something went wrong! Check the log for ERROR-level output
The full log is at /var/log/katello-installer/katello-installer.log
Mark
Post by Mark White
Hi
I am completely new to katello, and am trying to install it on OEL 6.6
but
Post by Mark White
Post by Mark White
keeping hitting problems... can some one please suggest how I can find
what
Post by Mark White
Post by Mark White
is going wring, this being the second install.
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on
node
Post by Mark White
Post by Mark White
ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned
nil
Post by Mark White
Post by Mark White
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was
1)
Post by Mark White
Post by Mark White
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml
I also see that the foreman service does not start, and if I try to
start
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
Post by Mark White
Post by Mark White
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
Post by Mark White
Post by Mark White
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
Post by Mark White
Post by Mark White
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
Post by Mark White
Post by Mark White
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
Post by Mark White
Post by Mark White
`load_config_file'
Is the second error because puppet did not configure the services
correctly ?
I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422
I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623
which I
Post by Mark White
Post by Mark White
thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it
does
Post by Mark White
Post by Mark White
not appear to have helped
any help appreciated.
--
You received this message because you are subscribed to the Google
Groups "Foreman users" group.
Post by Mark White
To unsubscribe from this group and stop receiving emails from it, send
<javascript:>.
Post by Mark White
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
--
Best Regards,
Stephen Benjamin
Red Hat Engineering
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Mark White
2015-02-04 19:10:27 UTC
Permalink
Another problem if I try starting katello

celery init v10.0.
Using config script: /etc/default/pulp_workers
celery multi v3.1.11 (Cipater)
Starting nodes...
call last):
File "/usr/lib64/python2.6/runpy.py", line 122, in _run_module_as_main
"__main__", fname, loader, pkg_name)
File "/usr/lib64/python2.6/runpy.py", line 34, in _run_code
exec code in run_globals
File "/usr/lib/python2.6/site-packages/celery/__main__.py", line 54, in
<module>
main()
File "/usr/lib/python2.6/site-packages/celery/__main__.py", line 30, in
main
main()
File "/usr/lib/python2.6/site-packages/celery/bin/celery.py", line 81, in
main
cmd.execute_from_commandline(argv)
File "/usr/lib/python2.6/site-packages/celery/bin/celery.py", line 769,
in execute_from_commandline
super(CeleryCommand, self).execute_from_commandline(argv)))
File "/usr/lib/python2.6/site-packages/celery/bin/base.py", line 304, in
execute_from_commandline
argv = self.setup_app_from_commandline(argv)
File "/usr/lib/python2.6/site-packages/celery/bin/base.py", line 464, in
setup_app_from_commandline
self.app = self.find_app(app)
File "/usr/lib/python2.6/site-packages/celery/bin/base.py", line 484, in
find_app
return find_app(app, symbol_by_name=self.symbol_by_name)
File "/usr/lib/python2.6/site-packages/celery/app/utils.py", line 225, in
find_app
sym = imp(app)
File "/usr/lib/python2.6/site-packages/celery/utils/imports.py", line
101, in import_from_cwd
return imp(module, package=package)
File "/usr/lib/python2.6/site-packages/importlib/__init__.py", line 37,
in import_module
__import__(name)
File "/usr/lib/python2.6/site-packages/pulp/server/async/app.py", line
12, in <module>
initialization.initialize()
File "/usr/lib/python2.6/site-packages/pulp/server/initialization.py",
line 37, in initialize
plugin_api.initialize()
File "/usr/lib/python2.6/site-packages/pulp/plugins/loader/api.py", line
79, in initialize
_validate_importers()
File "/usr/lib/python2.6/site-packages/pulp/plugins/loader/api.py", line
465, in _validate_importers
raise loader_exceptions.InvalidImporter(msg % {'i': plugin_id, 't':
type_})
pulp.server.initialization.InitializationException: One or more plugins
failed to initialize. If a new type has been added, run pulp-manage-db to
load the type into the database and restart the application. Error message:
Importer puppet_importer: no type definition found for puppet_module
* Child terminated with errorcode 255
FAILED

but if I try to run pulp-manage-db I get

sudo -u apache pulp-manage-db
Loading content types.
/usr/lib/python2.6/site-packages/pulp/server/db/connection.py:144:
DeprecationWarning: The safe parameter is deprecated. Please use write
concern options instead.
return method(*args, **kwargs)
Content types loaded.
Ensuring the admin role and user are in place.
Admin role and user are in place.
Beginning database migrations.
Applying pulp.server.db.migrations version 1
Migration to pulp.server.db.migrations version 1 complete.
Applying pulp.server.db.migrations version 2
Migration to pulp.server.db.migrations version 2 complete.
Applying pulp.server.db.migrations version 3
Migration to pulp.server.db.migrations version 3 complete.
Applying pulp.server.db.migrations version 4
Migration to pulp.server.db.migrations version 4 complete.
Applying pulp.server.db.migrations version 5
Migration to pulp.server.db.migrations version 5 complete.
Applying pulp.server.db.migrations version 6
Migration to pulp.server.db.migrations version 6 complete.
Applying pulp.server.db.migrations version 7
Migration to pulp.server.db.migrations version 7 complete.
Applying pulp.server.db.migrations version 8
Migration to pulp.server.db.migrations version 8 complete.
Applying pulp.server.db.migrations version 9
Applying migration pulp.server.db.migrations.0009_qpid_queues failed.

Halting migrations due to a migration failure. See log for details.
connection-forced: Connection must be encrypted.(320)

- related to the certs again ?
Tried another install using the 2.1 build with puppet 3.7.3, but the
noticed after a run of yum install katello puppet was updated to 3.7.4.
Feb 04 18:01:17 Installed: pulp-puppet-plugins-2.5.1-1.el6.noarch
ruby193-rubygem-katello-2.2.0-1.201501281236gitaa5aee8.el6.noarch
katello-2.1.0-1.201411061509gitb0b8f43.el6.noarch
Feb 04 18:01:22 Updated: glibc-2.12-1.149.el6_6.5.i686
Feb 04 18:13:00 Installed: gdb-7.2-75.el6.x86_64
Feb 04 18:13:00 Installed: elfutils-libs-0.158-3.2.el6.x86_64
Feb 04 18:13:00 Installed: elfutils-0.158-3.2.el6.x86_64
Feb 04 18:13:00 Installed: rpm-build-4.8.0-38.el6_6.x86_64
Feb 04 18:13:00 Installed: katello-certs-tools-2.0.1-1.el6.noarch
Feb 04 18:14:13 Updated: puppet-3.7.4-1.el6.noarch
Feb 04 18:14:14 Installed: puppet-server-3.7.4-1.el6.noarch
Feb 04 18:16:00 Installed: gutterball-1.0.8-1.el6.noarch
so katello 2.1 gets installed, then puppet gets updated followed by an
install of puppet server - any ideas ?
Second Q
Note: After installation of Katello, be sure to trust Katello’s CA
certificate on your system. This is required for the encrypted NoVNC
connections. You will find katello-default-ca.crt in the /pub directory
of your Katello server (e.g.
http://katello.example.com/pub/katello-default-ca.crt).
Does this mean after the yum install katello, but before running
katello-installer, as when I ran the installer I had lots of cert probs at
Debug: /Stage[main]/Apache/Concat[/etc/httpd/conf/: 517/583, 88%, 1.9/s,
elapsed: 00:05:34, ETA: 00:00:34
Notice: /Stage[main]/Foreman::Database/Foreman_con: 521/583, 89%, 2.1/s,
elapsed: 00:05:50, ETA: 00:00:29
Notice: /Stage[main]/Puppet::Server::Config/Exec[p: 521/583, 89%, 1.5/s,
elapsed: 00:05:58, ETA: 00:00:42
Notice: /Stage[main]/Foreman_proxy::Config/Foreman: 521/583, 89%, 1.5/s,
elapsed: 00:05:59, ETA: 00:00:42
/Stage[main]/Certs::Qpid/Exec[generate-nss-password]: Failed to call
refresh: openssl rand -base64 24 >
/etc/pki/katello/nssdb/nss_db_password-file returned 1 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-nss-password]: openssl rand
-base64 24 > /etc/pki/katello/nssdb/nss_db_password-file returned 1 instead
of one of [0]
Notice: /Stage[main]/Certs::Qpid/Exec[create-nss-d: 521/583, 89%, 1.5/s,
elapsed: 00:06:00, ETA: 00:00:42
certutil -N -d '/etc/pki/katello/nssdb' -f
'/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of one
of [0]
/Stage[main]/Certs::Qpid/Exec[create-nss-db]: certutil -N -d
'/etc/pki/katello/nssdb' -f '/etc/pki/katello/nssdb/nss_db_password-file'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[add-ca-cert-to-nss-db]: Failed to call
refresh: certutil -A -d '/etc/pki/katello/nssdb' -n 'ca' -t 'TCu,Cu,Tuw' -a
-i '/etc/pki/katello/certs/katello-default-ca.crt' returned 255 instead of
one of [0]
/Stage[main]/Certs::Qpid/Exec[add-ca-cert-to-nss-db]: certutil -A -d
'/etc/pki/katello/nssdb' -n 'ca' -t 'TCu,Cu,Tuw' -a -i
'/etc/pki/katello/certs/katello-default-ca.crt' returned 255 instead of one
of [0]
/Stage[main]/Certs::Qpid/Exec[add-broker-cert-to-nss-db]: Failed to call
refresh: certutil -A -d '/etc/pki/katello/nssdb' -n 'broker' -t ',,' -a -i
'/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[add-broker-cert-to-nss-db]: certutil -A -d
'/etc/pki/katello/nssdb' -n 'broker' -t ',,' -a -i
'/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt'
returned 255 instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-pfx-for-nss-db]: Failed to call
refresh: openssl pkcs12 -in
/etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt
-inkey
/etc/pki/katello/private/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.key
-export -out
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx'
-password 'file:/etc/pki/katello/nssdb/nss_db_password-file' returned 1
instead of one of [0]
/Stage[main]/Certs::Qpid/Exec[generate-pfx-for-nss-db]: openssl pkcs12
-in /etc/pki/katello/certs/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.crt
-inkey
/etc/pki/katello/private/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.key
-export -out
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx'
-password 'file:/etc/pki/katello/nssdb/nss_db_password-file' returned 1
instead of one of [0]
Warning: /Stage[main]/Certs::Gutterball/Certs::Ssl: 521/583, 89%, 1.5/s,
elapsed: 00:06:02, ETA: 00:00:42
/Stage[main]/Certs::Qpid/Exec[add-private-key-to-nss-db]: Failed to call
refresh: pk12util -i
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx' -d
'/etc/pki/katello/nssdb' -w '/etc/pki/katello/nssdb/nss_db_password-file'
-k '/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of
one of [0]
/Stage[main]/Certs::Qpid/Exec[add-private-key-to-nss-db]: pk12util -i
'/etc/pki/katello/ukdc1-tm-ops06.worldpaytd.local-qpid-broker.pfx' -d
'/etc/pki/katello/nssdb' -w '/etc/pki/katello/nssdb/nss_db_password-file'
-k '/etc/pki/katello/nssdb/nss_db_password-file' returned 255 instead of
one of [0]
Notice: /Stage[main]/Pulp::Config/File[/etc/pki/pu: 521/583, 89%, 1.4/s,
elapsed: 00:06:03, ETA: 00:00:45
Warning: /Stage[main]/Foreman::Plugin::Tasks/Servi: 521/583, 89%, 1.4/s,
elapsed: 00:06:04, ETA: 00:00:45
Failed to call refresh: Could not load data from
https://ukdc1-tm-ops06.worldpaytd.local
Could not load data from https://ukdc1-tm-ops06.worldpaytd.local
Done : 583/583, 100%, 2.5/s,
elapsed: 00:06:12
Done : 583/583, 100%, 2.5/s,
elapsed: 00:06:12
Something went wrong! Check the log for ERROR-level output
The full log is at /var/log/katello-installer/katello-installer.log
Mark
Post by Mark White
Hi
I am completely new to katello, and am trying to install it on OEL 6.6
but keeping hitting problems... can some one please suggest how I can find
what is going wring, this being the second install.
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on
node ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned nil
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was 1)
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml
I also see that the foreman service does not start, and if I try to start
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
`load_config_file'
Is the second error because puppet did not configure the services
correctly ?
I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422
I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623 which I
thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it does
not appear to have helped
any help appreciated.
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Duncan Innes
2015-02-04 21:16:17 UTC
Permalink
Post by Mark White
Feb 04 18:13:00 Installed: rpm-build-4.8.0-38.el6_6.x86_64
Feb 04 18:13:00 Installed: katello-certs-tools-2.0.1-1.el6.noarch
Feb 04 18:14:13 Updated: puppet-3.7.4-1.el6.noarch
Feb 04 18:14:14 Installed: puppet-server-3.7.4-1.el6.noarch
Feb 04 18:16:00 Installed: gutterball-1.0.8-1.el6.noarch
so katello 2.1 gets installed, then puppet gets updated followed by an
install of puppet server - any ideas ?
This one is because 'yum install katello' pulls in puppet but not
puppet-server. Modify your yum install to

# yum install katello puppet puppet-server

then run the downgrade

# yum downgrade puppet puppet-server

then run the installer. Now it won't try to install puppet-server-3.7.4
which is then upgrading puppet back to 3.7.4 also.
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Mark White
2015-02-05 13:05:40 UTC
Permalink
Duncan

Getting further now so hope you can help with this last ..

When I run katello-installer --reset (assume you need the reset when you
are rerunning the installer ?) it fails with

[***@ukdc1-tm-ops06 /var/log/katello-installer]# katello-installer
--reset /usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO-
http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log
2>&1 && touch /var/lib/candlepin/cpinit_done returned 8 instead of one of
[0]
/Stage[main]/Candlepin::Service/Exec[cpinit]/returns: change from notrun
to 0 failed: /usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO-
http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log
2>&1 && touch /var/lib/candlepin/cpinit_done returned 8 instead of one of
[0]

I then check and httpd is down so the wget fails. If I start httpd manually
it start, but with a warning

service httpd start
Starting httpd: [Thu Feb 05 12:57:20 2015] [warn] module passenger_module
is already loaded, skipping

service httpd status
httpd (pid 2129) is running...

I then rerun the installer and get the same wget error, and the httpd
service is stopped again. Is there a problem with the passenger module
already being loaded, and I don't see an error in the install log related
to the httpd start failing ?

Thanks

Mark
Post by Duncan Innes
Post by Mark White
Feb 04 18:13:00 Installed: rpm-build-4.8.0-38.el6_6.x86_64
Feb 04 18:13:00 Installed: katello-certs-tools-2.0.1-1.el6.noarch
Feb 04 18:14:13 Updated: puppet-3.7.4-1.el6.noarch
Feb 04 18:14:14 Installed: puppet-server-3.7.4-1.el6.noarch
Feb 04 18:16:00 Installed: gutterball-1.0.8-1.el6.noarch
so katello 2.1 gets installed, then puppet gets updated followed by an
install of puppet server - any ideas ?
This one is because 'yum install katello' pulls in puppet but not
puppet-server. Modify your yum install to
# yum install katello puppet puppet-server
then run the downgrade
# yum downgrade puppet puppet-server
then run the installer. Now it won't try to install puppet-server-3.7.4
which is then upgrading puppet back to 3.7.4 also.
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Duncan Innes
2015-02-05 13:34:53 UTC
Permalink
Sorry - I'm rebuilding the base OS every time I do a katello-installer. I'm
just testing the ability to install at the moment, rather than anything
more complex under the hood. One the basic install bugs are squashed, I'll
move on to various options during the install.
Post by Mark White
Duncan
Getting further now so hope you can help with this last ..
When I run katello-installer --reset (assume you need the reset when you
are rerunning the installer ?) it fails with
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Mark White
2015-02-05 19:00:01 UTC
Permalink
Thanks for all the help so far - not sure whether I should continue with
this post as the install progresses or whether I should start a new post
for new problems in the same install ?

My latest install nearly worked but has certificate problems at the end> I
am wondering if I can fix these without starting again - any advice
appreciated.

The errors are:

[***@ukdc1-tm-ops06 ~]# katello-installer --reset
/usr/share/foreman/script/foreman-config -k ssl_ca_file -v
'/etc/foreman/proxy_ca.pem' -k ssl_certificate -v
'/etc/foreman/client_cert.pem' -k ssl_priv_key -v
'/etc/foreman/client_key.pem' returned 1 instead of one of [0]
/Stage[main]/Certs::Foreman/Exec[foreman_certs_config]/returns: change
from notrun to 0 failed: /usr/share/foreman/script/foreman-config -k
ssl_ca_file -v '/etc/foreman/proxy_ca.pem' -k ssl_certificate -v
'/etc/foreman/client_cert.pem' -k ssl_priv_key -v
'/etc/foreman/client_key.pem' returned 1 instead of one of [0]
/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[ukdc1-tm-ops06.worldpaytd.local]:
Could not evaluate: Could not load data from
https://ukdc1-tm-ops06.worldpaytd.local
Installing Done

[***@ukdc1-tm-ops06 ~]# ls -l /etc/foreman/client_cert.pem
-rw-r--r-- 1 root root 5558 Feb 4 18:14 /etc/foreman/client_cert.pem
[***@ukdc1-tm-ops06 ~]# ls -l /etc/foreman/proxy_ca.pem
-rw-r--r-- 1 root root 5490 Feb 4 18:14 /etc/foreman/proxy_ca.pem
[***@ukdc1-tm-ops06 ~]# ls -l /etc/foreman/client_key.pem
-r-------- 1 foreman root 1679 Feb 4 18:14 /etc/foreman/client_key.pem


[***@ukdc1-tm-ops06 ~]# /usr/share/foreman/script/foreman-config -k
ssl_ca_file -v '/etc/foreman/proxy_ca.pem' -k ssl_certificate -v
'/etc/foreman/client_cert.pem' -k ssl_priv_key -v
'/etc/foreman/client_key.pem'
foreman-config script is deprecated. Please consider using `foreman-rake
config` instead
rake aborted!
FATAL: Ident authentication failed for user "foreman"

Is there a way to reset the certs so they are in sync ?

When I try to access foreman over http I get an error saying the web
application could not be started and "Phjusion Passenger has listed more
... " with lots of diagnostics. I am hoping if the foreman-config error
can be fixed it will also fix the http error ?

Mark
Post by Mark White
Hi
I am completely new to katello, and am trying to install it on OEL 6.6 but
keeping hitting problems... can some one please suggest how I can find what
is going wring, this being the second install.
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/application.rb:309:in `run'
[ INFO 2015-02-03 13:02:55 main]
/opt/puppet/lib/ruby/site_ruby/1.8/puppet/util/command_line.rb:69:in
`execute'
[ INFO 2015-02-03 13:02:55 main] /usr/local/bin/puppet:4
[ INFO 2015-02-03 13:02:55 main] undefined method `<<' for {}:Hash on node
ukdc1-tm-ops04.worldpaytd.local
[ INFO 2015-02-03 13:02:55 main] Puppet has finished, bye!
[ INFO 2015-02-03 13:02:55 main] Executing hooks in group post
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/30-upgrade.rb returned nil
[DEBUG 2015-02-03 13:02:55 main] Hook
/usr/share/katello-installer/hooks/post/10-post_install.rb returned nil
[ INFO 2015-02-03 13:02:55 main] All hooks in group post finished
[DEBUG 2015-02-03 13:02:55 main] Exit with status code: 1 (signal was 1)
[DEBUG 2015-02-03 13:02:55 main] Cleaning
/etc/katello-installer/d20150203-10561-1ihdw0h
[DEBUG 2015-02-03 13:02:55 main] Cleaning /tmp/default_values.yaml
I also see that the foreman service does not start, and if I try to start
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:123:in
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/config/katello.yml
/usr/share/foreman/config/settings.plugins.d/katello.yaml
/etc/katello/katello.yml (RuntimeError)
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:46:in
`block in config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`tap'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:44:in
`config_data'
from
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0/lib/katello/configuration/loader.rb:113:in
`load_config_file'
Is the second error because puppet did not configure the services
correctly ?
I found this old link which which is one of the closest I can find
http://projects.puppetlabs.com/issues/7422
I also found https://bugzilla.redhat.com/show_bug.cgi?id=1122623 which I
thought might be relevant as the server I am installing had had been
configured using puppet. I removed the old ssl directory however it does
not appear to have helped
any help appreciated.
--
You received this message because you are subscribed to the Google Groups "Foreman users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to foreman-users+***@googlegroups.com.
To post to this group, send email to foreman-***@googlegroups.com.
Visit this group at http://groups.google.com/group/foreman-users.
For more options, visit https://groups.google.com/d/optout.
Continue reading on narkive:
Loading...